ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceSessionAccountDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>
    - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionAccountLogDao
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionAccountDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceSessionAccountDao
      extends VoiceSessionAccountLogDao

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABLE_VOICE_SESSION_ACCOUNT`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionAccountLogDao

      `TABLE_VOICE_SESSION_ACCOUNT_LOG`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceSessionAccountDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceSessionAccountLogDao

      `checkTables, deleteAccounts, deleteAccounts, getFromRS, insertAccount, list, updateAccount, updateAccountInternal, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_VOICE_SESSION_ACCOUNT

          public static final java.lang.String TABLE_VOICE_SESSION_ACCOUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceSessionAccountDao

          public VoiceSessionAccountDao(java.sql.Connection con,
                                        int moduleId)